package com.ruoyi.system.mapper.other;

import com.ruoyi.system.domain.other.WsStoneBasic;
import com.ruoyi.system.domain.other.WsStoneBasicExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WsStoneBasicMapper {
    long countByExample(WsStoneBasicExample example);

    int deleteByExample(WsStoneBasicExample example);

    int deleteByPrimaryKey(String id);

    int insert(WsStoneBasic record);

    int insertSelective(WsStoneBasic record);

    List<WsStoneBasic> selectByExample(WsStoneBasicExample example);

    WsStoneBasic selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") WsStoneBasic record, @Param("example") WsStoneBasicExample example);

    int updateByExample(@Param("record") WsStoneBasic record, @Param("example") WsStoneBasicExample example);

    int updateByPrimaryKeySelective(WsStoneBasic record);

    int updateByPrimaryKey(WsStoneBasic record);
}
